:- module(stammformenlexikon,[lex/4]).

% lex(?Stammform,?Wortart,?Artmerkmale,?Flexionskl.)

lex(entdecken,      v,[nom,akk],rg(0)).
lex(umkreisen,      v,[nom,akk],rg(0)).

lex('Astronom',     n,[mask],(s2e,p3e)).
lex('Durchmesser', rn,[mask],(s1, p2 )).
lex('Himmelskrper',n,[mask],(s1, p2 )).
lex('Mond',        rn,[mask],(s1e,p1 )).
lex('Planet',      rn,[mask],(s2e,p3e)).
lex('Sonne',        n,[fem], (s3, p3 )).
lex('Stern',        n,[mask],(s1, p1 )).

lex('Bond',        en,[mask],(s1,-)).
lex('Cassini',     en,[mask],(s1,-)).
lex('Galilei',     en,[mask],(s1,-)).
lex('Hall',        en,[mask],(s1,-)).
lex('Herschel',    en,[mask],(s1,-)).
lex('Huyghens',    en,[mask],(s1,-)).
lex('Kepler',      en,[mask],(s1,-)).
lex('Lassell',     en,[mask],(s1,-)).
lex('Melotte',     en,[mask],(s1,-)).
lex('Nicholson',   en,[mask],(s1,-)).
lex('Perrine',     en,[mask],(s1,-)).
lex('Tombaugh',    en,[mask],(s1,-)).

lex('Erde',        en,[fem], (s1,-)).
lex('Jupiter',     en,[mask],(s1,-)).
lex('Mars',        en,[mask],(s1,-)).
lex('Merkur',      en,[mask],(s1,-)).
lex('Neptun',      en,[mask],(s1,-)).
lex('Pluto',       en,[mask],(s1,-)).
lex('Saturn',      en,[mask],(s1,-)).
lex('Uranus',      en,[mask],(s1,-)).
lex('Venus',       en,[fem], (s3,-)).

lex('Dione',       en,[fem], (s1,-)).
lex('Europa',      en,[fem], (s1,-)).
lex('Ganymed',     en,[mask],(s1,-)).
lex('Io',          en,[fem], (s1,-)).
lex('Kallisto',    en,[fem], (s1,-)).
lex('Mimas',       en,[mask],(s1,-)).
lex('Titan',       en,[mask],(s1,-)).
lex('Triton',      en,[mask],(s1,-)).

