:- use_module(['wortformen.pl','vollformenlexikon.pl']).

% Verbflexion bei einem Vollformenlexikon:
% verbflexion(+Stammform,+Formmerkmale,-Vollform)

verbflexion(Stammform,Formmerkmale,Vollform) :-
    wort(Stammform,Formmerkmale,Vollform).

% Flexionsprogramm: verbflexion(Stammform+)

verbflexion(Stammform) :-   % Stammform = Infinitiv
    form(vfin,Formmerkmale),     % moegl.Merkmale holen
    wort(Stammform,Formmerkmale,Vollform),
    write(Formmerkmale),write(': '),write(Vollform),nl,
    fail.                        % weitere Loesungen?
verbflexion(_).             % fertig.

