:- module(vollformenlexikon,[wort/3]).

% Schwach konjugiertes Verb:

wort(entdecken,[1,sg,praes,ind],entdecke ).
wort(entdecken,[2,sg,praes,ind],entdeckst).
wort(entdecken,[3,sg,praes,ind],entdeckt ).
wort(entdecken,[1,pl,praes,ind],entdecken).
wort(entdecken,[2,pl,praes,ind],entdeckt ).
wort(entdecken,[3,pl,praes,ind],entdecken).

wort(entdecken,[1,sg,praet,ind],entdeckte  ).
wort(entdecken,[2,sg,praet,ind],entdecktest).
wort(entdecken,[3,sg,praet,ind],entdeckte  ).
wort(entdecken,[1,pl,praet,ind],entdeckten ). 
wort(entdecken,[2,pl,praet,ind],entdecktet ).
wort(entdecken,[3,pl,praet,ind],entdeckten ).

% Stark konjugiertes Verb:

wort(gehen,[1,sg,praes,ind],gehe ).
wort(gehen,[2,sg,praes,ind],gehst).
wort(gehen,[3,sg,praes,ind],geht ).
wort(gehen,[1,pl,praes,ind],gehen).
wort(gehen,[2,pl,praes,ind],geht ).
wort(gehen,[3,pl,praes,ind],gehen).

wort(gehen,[1,sg,praet,ind],ging  ).
wort(gehen,[2,sg,praet,ind],gingst).
wort(gehen,[3,sg,praet,ind],ging  ).
wort(gehen,[1,pl,praet,ind],gingen).
wort(gehen,[2,pl,praet,ind],gingt ).
wort(gehen,[3,pl,praet,ind],gingen).

wort(_,[_,_,_,konj],_) :-
    write(user,'Finite Verbformen im Konjunktiv
                sind nicht definiert.\n'),
    fail.

